I am currently having an issue with captive portal and IE8.

Reply
Highlighted
Not applicable

I am currently having an issue with captive portal and IE8.

Symptoms: when a user logs in on an XP or Win 7 machine with IE 8 (Generic Windows login) and opens IE they will get "Page cannot be displayed" for any website.  This is not a standard PA "Webpage blocked" message just the standard "Page cannot be displayed".  If you click refresh 7,8,9 times (no set pattern) eventually you will get the Captive portal prompt.  Tried IE 7 on XP and IE 9 on 7 and all is well, go to a web page and instant CP prompt.  Problem is that my EMR system for the hospital requires IE8 and only IE8 to function properly until next update (Next Year).  Does anyone know why this would be happening?

Tags (4)
L6 Presenter

Re: I am currently having an issue with captive portal and IE8.

Hi Jecker,

May I know what PAN-OS version is being used?

Regards,

Hardik Dinendra Shah

L4 Transporter

Re: I am currently having an issue with captive portal and IE8.

May be this doc can help.

Unable to Display WebUI using IE8 or IE9

Not applicable

Re: I am currently having an issue with captive portal and IE8.

Where do I find the PAN-OS version?

I see:

User ID agent is 5.0.4-5

Software version on PA 2020 is 5.0.5

application version is 392-1950

Threat Version is 392-1950

URL Filterins version is 4166

are these helpful?

Not applicable

Re: I am currently having an issue with captive portal and IE8.

I tried IE9 and it works perfectly, it is just IE8 that has the problem with or without compatibility mode on.  :-/

L6 Presenter

Re: I am currently having an issue with captive portal and IE8.

Hi Jdecker,

I would suggest to do wireshark capture while trying with IE8, I will provide next feedback after getting capture.

Regards,

Hardik Dinendra Shah

L5 Sessionator

Re: I am currently having an issue with captive portal and IE8.

Hi,

Bug 52322:

When a user was prompted with a Captive Portal prompt with NTLM enabled and then successfully authenticated, on some occasions the user was prompted to authenticate again. This was observed with the Internet Explorer browser.

The issue was fixed in 5.0.6 and 4.1.14. The issue mentioned above seems similar to what you are seeing. Also reading details of the bug it seems when bug was filed IE8 was being used.

If upgrading is a possibility i will recommend upgrading to 5.0.6 and then retesting.

Hope this helps.

Thank you

Numan

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!